package com.nhnent.iap.sample.service;

import android.os.Handler;
import android.os.Message;

import com.nhnent.iap.sample.MainEventListener;
import com.toast.android.iap.exception.InAppPurchaseException;

import java.util.ArrayList;

public class IAPEventHandler extends Handler {
    public static final int IAP_ERROR_ACTION = -1;
    public static final int IAP_HANDLE_AFTER_PURCHASE = 1;
    public static final int IAP_HANDLE_AFTER_QUERY_ITEMS = 2;
    public static final int IAP_HANDLE_AFTER_QUERY_TC_CONSOLE_ITEMS = 3;
    public static final int IAP_HANDLE_AFTER_QUERY_INCOMPLETE_PURCHASES = 4;
    public static final int IAP_HANDLE_AFTER_PROCESS_INCOMPLETE_PURCHASES = 5;
    public static final int IAP_HANDLE_AFTER_CONSUME = 6;

    private MainEventListener listener;

    public IAPEventHandler(MainEventListener listener) {
        this.listener = listener;
    }

    @Override
    public void handleMessage(Message message) {
        switch (message.what) {
            case IAP_ERROR_ACTION:
                listener.onInAppPurchaseException((InAppPurchaseException) message.obj);
                break;

            case IAP_HANDLE_AFTER_PURCHASE:
                listener.afterPurchase((PurchaseItem) message.obj);
                break;

            case IAP_HANDLE_AFTER_QUERY_ITEMS:
                listener.afterQueryItems((ArrayList<QueryItem>) message.obj);
                break;

            case IAP_HANDLE_AFTER_QUERY_TC_CONSOLE_ITEMS:
                listener.afterQueryTcConsoleItems((ArrayList<QueryItem>) message.obj);
                break;

            case IAP_HANDLE_AFTER_QUERY_INCOMPLETE_PURCHASES:
                listener.afterQueryIncompletePurchases((ArrayList<PurchaseItem>) message.obj);
                break;

            case IAP_HANDLE_AFTER_PROCESS_INCOMPLETE_PURCHASES:
                listener.afterProcessesIncompletePurchases((String) message.obj);
                break;

            case IAP_HANDLE_AFTER_CONSUME:
                listener.afterConsume((String) message.obj);
                break;
        }
    }
}
