package com.nhnent.iap.sample.service;

import org.json.JSONObject;

/**
 * Created by ShinSung on 2018. 4. 19..
 */

public class PurchaseItem {
    private Long mItemSeq;
    private String mPaymentSeq;
    private String mPurchaseToken;
    private String mMarketItemId;
    private String mCurrency;
    private Double mPrice;

    @Override
    public String toString() {
        return mItemSeq + "(" + mPaymentSeq + ")";
    }

    public Long getItemSeq() {
        return mItemSeq;
    }

    public String getPaymentSeq() {
        return mPaymentSeq;
    }

    public String getPurchaseToken() {
        return mPurchaseToken;
    }

    public String getMarketItemId() {
        return mMarketItemId;
    }

    public String getCurreny() {
        return mCurrency;
    }

    public Double getPrice() {
        return mPrice;
    }

    public static PurchaseItem build(JSONObject responseJson) {
        PurchaseItem purchaseItem = new PurchaseItem();

        if (responseJson.has("itemSeq")) {
            purchaseItem.mItemSeq = responseJson.optLong("itemSeq");
        }

        if (responseJson.has("paymentSeq")) {
            purchaseItem.mPaymentSeq = responseJson.optString("paymentSeq");
        }

        if (responseJson.has("purchaseToken")) {
            purchaseItem.mPurchaseToken = responseJson.optString("purchaseToken");
        }

        if (responseJson.has("marketItemId")) {
            purchaseItem.mMarketItemId = responseJson.optString("marketItemId");
        }

        if (responseJson.has("currency")) {
            purchaseItem.mCurrency = responseJson.optString("currency");
        }

        if (responseJson.has("price")) {
            purchaseItem.mPrice = responseJson.optDouble("price");
        }

        return purchaseItem;
    }
}